package com.dgtly.companyext.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 商户待审核信息 company_reviewed
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class CompanyReviewed extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商户（公司）ID */
    @Excel(name = "商户", readConverterExp = "公=司")
    private Long companyId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String companyName;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String companyType;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 企业法人 */
    @Excel(name = "企业法人")
    private String legalPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;

    /** 成立日期 */
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date establishDate;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String unifiedSocialCreditCode;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicenseUrl;

    /** 企业默认图片 */
    @Excel(name = "企业默认图片")
    private String defaultImgUrl;

    /** 企业宣传图片 */
    @Excel(name = "企业宣传图片")
    private String propagandaImgUrl;

    /** 企业介绍 */
    @Excel(name = "企业介绍")
    private String companyIntroduce;

    /** 版本号 */
    @Excel(name = "版本号")
    private Integer versionNum;

    /** 登录名称 */
    @Excel(name = "登录名称")
    private String loginName;

    /** 密码 */
    private String password;
    /** 记录的原因，0为入驻，1为更新*/
    private String reason;
    /** 记录状态，0未处理，1已处理*/
    private String status;

    /** 主营业务*/
    private String primaryBusiness;

    /** 审核信息*/
    private CompanyExamine companyExamine;


    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setCompanyType(String companyType)
    {
        this.companyType = companyType;
    }

    public String getCompanyType()
    {
        return companyType;
    }
    public void setDetailAddress(String detailAddress) 
    {
        this.detailAddress = detailAddress;
    }

    public String getDetailAddress() 
    {
        return detailAddress;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setContactNumber(String contactNumber) 
    {
        this.contactNumber = contactNumber;
    }

    public String getContactNumber() 
    {
        return contactNumber;
    }
    public void setEstablishDate(Date establishDate) 
    {
        this.establishDate = establishDate;
    }

    public Date getEstablishDate() 
    {
        return establishDate;
    }
    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) 
    {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getUnifiedSocialCreditCode() 
    {
        return unifiedSocialCreditCode;
    }
    public void setBusinessLicenseUrl(String businessLicenseUrl) 
    {
        this.businessLicenseUrl = businessLicenseUrl;
    }

    public String getBusinessLicenseUrl() 
    {
        return businessLicenseUrl;
    }
    public void setDefaultImgUrl(String defaultImgUrl) 
    {
        this.defaultImgUrl = defaultImgUrl;
    }

    public String getDefaultImgUrl() 
    {
        return defaultImgUrl;
    }
    public void setPropagandaImgUrl(String propagandaImgUrl) 
    {
        this.propagandaImgUrl = propagandaImgUrl;
    }

    public String getPropagandaImgUrl() 
    {
        return propagandaImgUrl;
    }
    public void setCompanyIntroduce(String companyIntroduce) 
    {
        this.companyIntroduce = companyIntroduce;
    }

    public String getCompanyIntroduce() 
    {
        return companyIntroduce;
    }
    public void setVersionNum(Integer versionNum) 
    {
        this.versionNum = versionNum;
    }

    public Integer getVersionNum() 
    {
        return versionNum;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPrimaryBusiness() {
        return primaryBusiness;
    }

    public void setPrimaryBusiness(String primaryBusiness) {
        this.primaryBusiness = primaryBusiness;
    }

    public CompanyExamine getCompanyExamine() {
        return companyExamine;
    }

    public void setCompanyExamine(CompanyExamine companyExamine) {
        this.companyExamine = companyExamine;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("companyType", getCompanyType())
            .append("detailAddress", getDetailAddress())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("legalPerson", getLegalPerson())
            .append("contactNumber", getContactNumber())
            .append("establishDate", getEstablishDate())
            .append("unifiedSocialCreditCode", getUnifiedSocialCreditCode())
            .append("businessLicenseUrl", getBusinessLicenseUrl())
            .append("defaultImgUrl", getDefaultImgUrl())
            .append("propagandaImgUrl", getPropagandaImgUrl())
            .append("companyIntroduce", getCompanyIntroduce())
            .append("versionNum", getVersionNum())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
